# idenify\_packet\_type()

パケットデータのバイト列を入力として、パケットの種別を判定します。戻り値は[E\_PKT](/v0.1.7/api-reference/classes/pktparser/e_pkt.md)です。

```cpp
E_PKT identify_packet_type(uint8_t* p, uint8_t u8len)
```

特定のパケットであると解釈できなかった場合は`E_PKT::PKT_ERROR`が戻ります。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/v0.1.7/api-reference/classes/pktparser/idenify_packet_type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
